<?php

namespace App\Mappers;

use App\Entities\ConfirmacaoEmail\ConfirmacaoEmail;
use App\Entities\Endereco\Endereco;
use App\Entities\Paciente\Paciente;
use App\Entities\Pessoa\Pessoa;
use App\Entities\PessoaFisica\PessoaFisica;
use App\Entities\Usuario\Usuario;
use App\ViewModels\Paciente\PacienteRegistrationViewModel\PacienteRegistrationViewModel;

class ConfirmacaoEmailMapper {

	public static function getConfirmacaoEmailFromDataArray(array $confirmacao_email_data): ConfirmacaoEmail {

		$confirmacao_email = ConfirmacaoEmail::builder()->setId( $confirmacao_email_data ['id'] )
			->setIdUsuario( $confirmacao_email_data ['id_usuario'] )
			->setToken( $confirmacao_email_data ['token'] )
			->setTempoExpiracao( $confirmacao_email_data ['tempo_expiracao'] )
			->setCriadoEm( $confirmacao_email_data ['criado_em'] )
			->setAlteradoEm( $confirmacao_email_data ['alterado_em'] )
			->setVerificado( $confirmacao_email_data ['verificado'] )
			->build();
		return $confirmacao_email;

	}

}